{
	"name": "uneeq-react-core",
	"version": "1.1.2",
	"description": "Uneeq React state library",
	"author": "UneeQ",
	"repository": {
		"type": "git",
		"url": "https://gitlab.com/uneeq-oss/react-frontend",
		"directory": "packages/uneeq-react-core"
	},
	"scripts": {
		"start": "tsdx watch --tsconfig tsconfig.build.json --verbose --noClean",
		"build": "tsdx build --tsconfig tsconfig.build.json",
		"build:test": "REACT_APP_CONFIG=TEST yarn run build",
		"test": "react-scripts test --env=jest-environment-jsdom-sixteen",
		"coverage": "yarn test --coverage --watchAll=false",
		"lint": "tsdx lint",
		"prepublish": "npm run build"
	},
	"main": "dist/index.js",
	"module": "dist/react.esm.js",
	"typings": "dist/index.d.ts",
	"files": [
		"README.md",
		"dist"
	],
	"peerDependencies": {
		"react": "^16.8.0",
		"react-dom": "^16.8.0"
	},
	"dependencies": {
		"react-device-detect": "^1.13.1",
		"tslib": "^2.0.0",
		"uneeq-js": "^2.30.0",
		"react-use-dimensions": "^1.2.1"
	},
	"publishConfig": {
		"access": "restricted"
	},
	"eslintConfig": {
		"extends": "react-app"
	},
	"prettier": {
		"tabWidth": 2,
		"semi": false,
		"singleQuote": true,
		"trailingComma": "none"
	},
	"devDependencies": {
		"@babel/plugin-proposal-optional-chaining": "^7.10.4",
		"concurrently": "^5.1.0",
		"@testing-library/jest-dom": "^5.11.2",
		"@testing-library/react": "^10.4.7",
		"@testing-library/react-hooks": "^3.2.1",
		"@types/lodash.omit": "^4.5.6",
		"@typescript-eslint/eslint-plugin": "2.x",
		"@typescript-eslint/parser": "2.x",
		"eslint": "6.x",
		"eslint-config-prettier": "^6.10.0",
		"eslint-config-react-app": "^5.2.0",
		"eslint-plugin-flowtype": "3.x",
		"eslint-plugin-import": "2.x",
		"eslint-plugin-jsx-a11y": "6.x",
		"eslint-plugin-prettier": "^3.1.2",
		"eslint-plugin-react": "7.x",
		"eslint-plugin-react-hooks": "1.x",
		"husky": "^4.2.5",
		"jest-environment-jsdom-sixteen": "^1.0.3",
		"lint-staged": "^10.2.6",
		"prettier": "^2.7.1",
		"prettier-eslint": "^9.0.1",
		"react-test-renderer": "^16.13.1"
	},
	"jest": {
		"watchPathIgnorePatterns": [
			"__initialStates__"
		],
		"collectCoverageFrom": [
			"src/**/*.{js,jsx,ts,tsx}",
			"!<rootDir>/node_modules/",
			"!src/**/index.ts",
			"!src/**/*.d.ts",
			"!src/**/styles.ts",
			"!src/uneeq-ui/Components/TestBar/**",
			"!src/serviceWorker.ts",
			"!src/theme.ts",
			"!src/app/config.ts",
			"!src/setupTests.ts",
			"!src/test-utils.tsx",
			"!src/react-app-env.d.ts",
			"!src/index.tsx"
		]
	},
	"license": "ISC"
}
